import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
// import 'package:mis_mobile/common/constants/app_colors.dart';

class ClipText extends StatelessWidget {
  final String title;
  final Color bgcolor;
  Color textcolor;
  final int fontSize;

  ClipText({
    this.title,
    this.bgcolor =const Color(0x195887FF),
    this.textcolor= const Color(0xff5887FF),
    this.fontSize =11
  });

  @override
  Widget build(BuildContext context) {
    return ClipRRect(
      borderRadius: BorderRadius.all(Radius.circular(3)),
      child: Container(
        
        padding: EdgeInsets.only(left: 5, right: 5, top: 2, bottom: 2),
        color: bgcolor,
        // alignment: Alignment.center,
        // color: Color(0xFD5D61),
        child: Text(
          title,
          // "${item.brandName ?? ''}",
          style: TextStyle(fontSize: ScreenUtil().setSp(11), color: textcolor),
        ),
      ),
    );
  }
}
